## ifeffit 1.2.11d

=== doc/RefMan/Makefile ===
#########################################################################
# makefile for latex documents: relies heavily on the  latexmk  script
# possible targets:
#   dvi       default:  run latexmk
#   !         latex at least once for sure
#   dep       re-scan dependencies
#   ps        make postscript
#   pdf       make pdf
#   html      make html with latex2html
#   clean     remove non-essential files
#   all       make postscript, pdf, html
#########################################################################
TARGET   = refman
INSTALLDIR = /home/newville/public_html/ifeffit/reftest/
TEXFILE  = $(TARGET).tex
OUTFILE  = $(TARGET).out
PSFILE   = $(TARGET).ps
DVIFILE  = $(TARGET).dvi
PDFFILE  = $(TARGET).pdf
BBLFILE  = $(TARGET).bbl
AUXFILE  = $(TARGET).aux
INDEXFILE= $(TARGET).ind

#
HTMLMACS  = ifmacs_html.tex
PDFMACS   = ifmacs_pdf.tex
TEXMACS   = ifmacs.tex

PDFTITLE  = title_pdf.tex
HTMLTITLE = title_html.tex
TITLE     = title.tex

MAKE_ARCHIVE =  ../scripts/MakeArchive
FIXTEX     = ../scripts/fixtex
LMAKE      = ../scripts/latexmk
FIX_PDF    = ../scripts/FixPDFout
L2H_INIT   = -init_file ../scripts/dot.latex2html-init
PDFLATEX   = pdflatex
LATEX2HTML = latex2html -dir $(INSTALLDIR) -mkdir
L2H_OPTS   = -local_icons -image_type gif -verbosity 0 -no_math -html_version 3.2,math -show_section_numbers -t "IFEFFIT Reference Manual"


.PHONY: ! dep ps pdf bib clean html all install

dvi: $(PDFTITLE) $(PDFMACS)
	$(FIXTEX) -t ps  *.tex
	$(LMAKE) -f $(TEXFILE)


! : $(PDFTITLE) $(PDFMACS)
	$(LMAKE) -g -f $(TEXFILE)


dep: $(PDFTITLE) $(PDFMACS)
	$(LMAKE) -f -i $(TEXFILE)

bib:
	make $(BBLFILE)

ps: dvi
	$(LMAKE) -f -ps $(TEXFILE)


pdf:
	$(FIXTEX) -t pdf *.tex
	$(PDFLATEX) $(TEXFILE)
	$(FIX_PDF)  $(OUTFILE)
	$(PDFLATEX) $(TEXFILE)

html: 
	$(FIXTEX) -t html *.tex
	rm -rf $(INSTALLDIR) *.bak
	mkdir $(INSTALLDIR)
	(cd $(INSTALLDIR) ; ln -s ../figs . ;cd ..)
	$(LATEX2HTML) $(L2H_INIT) $(L2H_OPTS) $(TEXFILE)

all: ps pdf html

install: all
	cp -pr $(PSFILE) $(PDFFILE) $(INSTALLDIR).


clean:
	$(LMAKE) -C $(TEXFILE)
	rm -f *.aux $(PDFFILE)  $(OUTFILE)
	rm -rf $(INSTALLDIR)

$(DVIFILE): *.tex
	latex $(TEXFILE)

$(PDFFILE): pdf


$(BBLFILE): ifx.bib  *.aux
	bibtex $(TARGET)

$(INDEXFILE): *.aux *.tex
	makeindex $(TARGET)

$(AUXFILE):  *.tex
	latex $(TEXFILE)

=== src/macosx/Makefile ===
# This is an AUTOMATICALLY configured Makefile 
# running configure will OVERWRITE this file!!!

#installation prefix
prefix        = /sw
# where pgplot library?
PG_DIR        = /sw/lib/pgplot

# how do I link with Xlib?
X_LIBS        = -L/usr/X11R6/lib -lX11 -framework Foundation -framework AppKit

# set the load library flags (perl 5.8.0 specific??)
LDDLFLAGS_P5  = -flat_namespace -bundle -undefined suppress -L/usr/local/lib -framework Foundation -framework AppKit
# set readline flags
READLINE_LIBS = -L/usr/lib/ -L/sw/lib/ -lreadline -lncurses

#<<Makefile.in>>
#
# On some systems, this should be
#       -lreadline  -lncurses
READLINE_FLAG = 
# READLINE_LIBS = -L$(prefix)/lib -L/usr/lib -lreadline
# 
# On other systems, a very old readline is installed,
# please read the 'README.Readline' file, build readline,
# and use
#{
# prefix       = /usr/local
# READLINE_FLAG = -DMY_READLINE
# READLINE_LIBS = ../../readline/libreadline.a -ltermcap
#}

# how do I link to PGPLOT?
# this assumes PGPLOT uses png and X drivers
PGPLOT_LIBS   = -L$(PG_DIR) -lpgplot \
	-L/usr/lib -L$(prefix)/lib -lpng  $(X_LIBS)


# where are the include files (esp for readline)?
INCLUDES      = -I$(srcdir) -I$(prefix)/include \
	-I/usr/include -I/usr/local/include 

# how do I compile and link with C?
CC            = cc
CFLAGS        = -O2
COMPILE       = $(CC) $(INCLUDES)  $(CFLAGS) $(READLINE_FLAG)
LINK          = $(CC) $(CFLAGS)  -o $@

# how do I compile and link with Fortran?
F77           = g77
FFLAGS        = -O2
FLIBS         = -lg2c -lm

# REDHAT 8.0 / gcc 3.2
# FLIBS         = -L/usr/lib/gcc-lib/i386-redhat-linux/3.2 -L/usr/lib/gcc-lib/i386-redhat-linux/3.2/../../.. -lfrtbegin -lg2c -lm -lgcc_s


F77LINK       = $(F77) $(FFLAGS)  -o $@


# how do I build and deal with libraries?
AR            = ar
RANLIB        = ranlib

# where is the shell?
SHELL         = /bin/sh

# installation directories relative to PREFIX
bindir        = ${prefix}/bin
pkgdatadir    = ${prefix}/share/ifeffit
libdir        = ${prefix}/lib

##################################################
#
# you shouldn't have to edit much below this
#

top_srcdir    = ../..
srcdir        = ../lib
cmndline_dir  = ../cmdline
autobk_dir    = ../autobk
feffit_dir    = ../feffit
diffkk_dir    = ../diffkk
feff6_dir     = ../feff6

all_src_dirs  = $(srcdir) $(cmndline_dir) \
	$(autobk_dir) $(feffit_dir) $(diffkk_dir) $(feff6_dir)

IFF_CONFIG    = ./configure
SYS_H         = $(srcdir)/sys.h
MAXPTS_H      = $(srcdir)/maxpts.h
HEADERS       = $(SYS_H) $(MAXPTS_H)

mkinstalldirs = $(SHELL) ../../mkinstalldirs
SET_DIR_PERM  = chmod 775

INSTALL       = /usr/bin/install -c
INSTALL_EXE   = ${INSTALL} -m 775
INSTALL_DATA  = ${INSTALL} -m 664

MN_FLIBS         = $(FLIBS)
CONFIG_TEMPLATES = Config.mak Makefile.PL site_install.py
MISC_CONFIG      = ifeffit.inc ifeffit.h  
pkgconfig_DATA   = $(CONFIG_TEMPLATES) $(MISC_CONFIG)
pkgdata_DATA     = startup.iff README

LIBRARIES     = libifeffit.a libxafs.a
#EXE          = ifeffit autobk diffkk feffit feff6
EXE           = ifeffit autobk diffkk feffit feff6

all: $(HEADERS) $(LIBRARIES) $(EXE) $(CONFIG_TEMPLATES)

XAFS_OBJ = $(srcdir)/str.o $(srcdir)/kkmclr.o $(srcdir)/fftpack.o \
	$(srcdir)/conv_lor.o $(srcdir)/specfun.o $(srcdir)/padlib.o \
	$(srcdir)/sort2.o $(srcdir)/preedg.o $(srcdir)/clbfun.o \
	$(srcdir)/minpack.o $(srcdir)/spline.o $(srcdir)/splfun.o \
	$(srcdir)/bvalue.o $(srcdir)/fitfft.o $(srcdir)/xafsft.o \
	$(srcdir)/window.o $(srcdir)/fitfun.o $(srcdir)/genfun.o \
	$(srcdir)/fiterr.o $(srcdir)/misc_num.o $(srcdir)/iread.o \
	$(srcdir)/misc_io.o $(srcdir)/compat.o $(srcdir)/inpout.o \
	$(srcdir)/uwxrdf.o $(srcdir)/chiout.o $(srcdir)/rdffdt.o

IFF_OBJ = $(srcdir)/ifeffit.o $(srcdir)/cifeffit.o $(srcdir)/str.o \
	$(srcdir)/misc_vars.o $(srcdir)/isamac.o $(srcdir)/iff_load.o \
	$(srcdir)/iread.o $(srcdir)/echo.o $(srcdir)/misc_io.o \
	$(srcdir)/iff_save.o $(srcdir)/iff_eval.o $(srcdir)/misc_arr.o \
	$(srcdir)/iff_erase.o $(srcdir)/iff_sync.o $(srcdir)/decod.o \
	$(srcdir)/enlib.o $(srcdir)/sigms.o $(srcdir)/u2ipth.o \
	$(srcdir)/kkmclr.o $(srcdir)/fftpack.o $(srcdir)/misc_num.o \
	$(srcdir)/conv_lor.o $(srcdir)/specfun.o $(srcdir)/encod.o \
	$(srcdir)/padlib.o $(srcdir)/iff_set.o $(srcdir)/iff_init.o \
	$(srcdir)/iff_plot_init.o $(srcdir)/iff_config.o \
	$(srcdir)/iff_get_line.o $(srcdir)/iff_macro.o $(srcdir)/iff_done.o \
	$(srcdir)/iff_history.o $(srcdir)/iff_test.o $(srcdir)/sort2.o \
	$(srcdir)/iff_rddata.o $(srcdir)/iff_wrdata.o $(srcdir)/iff_log.o \
	$(srcdir)/iff_show.o $(srcdir)/iff_color.o $(srcdir)/iff_correl.o \
	$(srcdir)/sum_paths.o $(srcdir)/chipth.o $(srcdir)/fefinp.o \
	$(srcdir)/rdffdt.o $(srcdir)/iff_print.o $(srcdir)/iff_echo.o \
	$(srcdir)/iff_rename.o $(srcdir)/iff_pre_edge.o $(srcdir)/preedg.o \
	$(srcdir)/iff_bkg_cl.o $(srcdir)/clcalc.o $(srcdir)/clbfun.o \
	$(srcdir)/minpack.o $(srcdir)/iff_spline.o $(srcdir)/spline.o \
	$(srcdir)/splfun.o $(srcdir)/bvalue.o $(srcdir)/fitfft.o \
	$(srcdir)/xafsft.o $(srcdir)/window.o $(srcdir)/iff_fft.o \
	$(srcdir)/iff_path.o $(srcdir)/iff_getpath.o $(srcdir)/iff_ff2chi.o \
	$(srcdir)/iff_feffit.o $(srcdir)/fitfun.o $(srcdir)/iff_chieps.o \
	$(srcdir)/fiterr.o $(srcdir)/iff_f1f2.o $(srcdir)/iff_diffkk.o \
	$(srcdir)/iff_minimize.o $(srcdir)/genfun.o $(srcdir)/iff_uncert.o \
	$(srcdir)/iff_plot.o $(srcdir)/iff_cursor.o $(srcdir)/feff_tables.o \
	$(srcdir)/iff_unguess.o $(srcdir)/iff_window.o $(srcdir)/atomic.o


lib_OBJECTS     = $(IFF_OBJ) $(srcdir)/ifeffitc.o

ifeffit_OBJECTS = $(cmndline_dir)/iff_shell.o


autobk_OBJECTS = $(autobk_dir)/autobk.o $(autobk_dir)/misc_file.o \
	$(autobk_dir)/setsys.o $(autobk_dir)/autint.o $(autobk_dir)/autinp.o \
	$(autobk_dir)/getcom.o $(autobk_dir)/autdat.o $(autobk_dir)/autnls.o \
	$(autobk_dir)/autfun.o $(autobk_dir)/autlog.o $(autobk_dir)/autout.o

feffit_OBJECTS = $(feffit_dir)/feffit.o $(feffit_dir)/setsys.o \
	$(feffit_dir)/messag.o $(feffit_dir)/fitint.o $(feffit_dir)/fitinp.o \
	$(feffit_dir)/getcom.o $(feffit_dir)/openfl.o $(feffit_dir)/nxtunt.o \
	$(feffit_dir)/getfln.o $(feffit_dir)/fixstr.o $(feffit_dir)/finmsg.o \
	$(feffit_dir)/append.o $(feffit_dir)/misc.o   $(feffit_dir)/testrf.o \
	$(feffit_dir)/filrec.o $(feffit_dir)/encod.o  $(feffit_dir)/enlib.o  \
	$(feffit_dir)/nbrstr.o $(feffit_dir)/fitdat.o $(feffit_dir)/fitchk.o \
	$(feffit_dir)/chipth.o $(feffit_dir)/fixicd.o $(feffit_dir)/setval.o \
	$(feffit_dir)/eval.o   $(feffit_dir)/decod.o  $(feffit_dir)/cordby.o \
	$(feffit_dir)/sigms.o  $(feffit_dir)/fefsrt.o $(feffit_dir)/fefinp.o \
	$(feffit_dir)/rdffdt.o $(feffit_dir)/rdfb1.o  $(feffit_dir)/fitck2.o \
	$(feffit_dir)/fitnls.o $(feffit_dir)/fitfun.o $(feffit_dir)/fitlog.o \
	$(feffit_dir)/fitprm.o $(feffit_dir)/wrtprm.o $(feffit_dir)/fitout.o \
	$(feffit_dir)/xfsout.o


diffkk_OBJECTS = $(diffkk_dir)/diffkk.o $(diffkk_dir)/lib.o \
	$(diffkk_dir)/dkinp.o $(diffkk_dir)/str2at.o $(diffkk_dir)/dkfit.o \
	$(diffkk_dir)/dkfcn.o $(diffkk_dir)/dklog.o


feff6_OBJECTS = $(feff6_dir)/feff.o $(feff6_dir)/str.o \
	$(feff6_dir)/rdinp.o $(feff6_dir)/chopen.o \
	$(feff6_dir)/mkptz.o $(feff6_dir)/setgam.o \
	$(feff6_dir)/terp.o $(feff6_dir)/potph.o \
	$(feff6_dir)/rpotph.o $(feff6_dir)/rdhead.o \
	$(feff6_dir)/atom.o $(feff6_dir)/indata.o \
	$(feff6_dir)/getorb.o $(feff6_dir)/dirac.o \
	$(feff6_dir)/inouh.o $(feff6_dir)/inth.o \
	$(feff6_dir)/potsl.o $(feff6_dir)/somm.o \
	$(feff6_dir)/totale.o $(feff6_dir)/cdsld.o \
	$(feff6_dir)/ykdir.o $(feff6_dir)/renorm.o \
	$(feff6_dir)/potslw.o $(feff6_dir)/ovrlp.o \
	$(feff6_dir)/sumax.o $(feff6_dir)/frnrm.o \
	$(feff6_dir)/istprm.o $(feff6_dir)/sidx.o \
	$(feff6_dir)/istval.o $(feff6_dir)/fermi.o \
	$(feff6_dir)/head.o $(feff6_dir)/wpot.o \
	$(feff6_dir)/phmesh.o $(feff6_dir)/fixvar.o \
	$(feff6_dir)/phase.o $(feff6_dir)/besjn.o \
	$(feff6_dir)/bjnser.o $(feff6_dir)/xcpot.o \
	$(feff6_dir)/rhl.o $(feff6_dir)/imhl.o \
	$(feff6_dir)/ffq.o $(feff6_dir)/cubic.o \
	$(feff6_dir)/quinn.o $(feff6_dir)/edp.o \
	$(feff6_dir)/fovrg.o $(feff6_dir)/diff.o \
	$(feff6_dir)/intpol.o $(feff6_dir)/wphase.o \
	$(feff6_dir)/prcrit.o $(feff6_dir)/rphbin.o \
	$(feff6_dir)/cpl0.o $(feff6_dir)/paths.o \
	$(feff6_dir)/sortix.o $(feff6_dir)/ccrit.o \
	$(feff6_dir)/mrb.o $(feff6_dir)/mcrith.o \
	$(feff6_dir)/mcritk.o $(feff6_dir)/ipack.o \
	$(feff6_dir)/heap.o $(feff6_dir)/pathsd.o \
	$(feff6_dir)/timrep.o $(feff6_dir)/mpprmp.o \
	$(feff6_dir)/phash.o $(feff6_dir)/outcrt.o \
	$(feff6_dir)/strap.o $(feff6_dir)/mpprmd.o \
	$(feff6_dir)/genfmt.o $(feff6_dir)/snlm.o \
	$(feff6_dir)/rdpath.o $(feff6_dir)/setlam.o \
	$(feff6_dir)/rot3i.o $(feff6_dir)/mmtr.o \
	$(feff6_dir)/sclmz.o $(feff6_dir)/mmtrxi.o \
	$(feff6_dir)/fmtrxi.o $(feff6_dir)/trap.o \
	$(feff6_dir)/pijump.o $(feff6_dir)/ff2chi.o \
	$(feff6_dir)/sigms.o $(feff6_dir)/dist.o \
	$(feff6_dir)/sdist.o $(feff6_dir)/xx.o \
	$(feff6_dir)/getxk.o $(feff6_dir)/dalp.o \
	$(feff6_dir)/fpot.o $(feff6_dir)/exchan.o \
	$(feff6_dir)/exchee.o $(feff6_dir)/pertab.o 


EL_DATAFILES = 04.dat 05.dat 06.dat 07.dat 08.dat 09.dat 10.dat 11.dat \
	12.dat 13.dat 14.dat 15.dat 16.dat 17.dat 18.dat 19.dat 20.dat \
	21.dat 22.dat 23.dat 24.dat 25.dat 26.dat 27.dat 28.dat 29.dat \
	30.dat 31.dat 32.dat 33.dat 34.dat 35.dat 36.dat 37.dat 38.dat \
	39.dat 40.dat 41.dat 42.dat 43.dat 44.dat 45.dat 46.dat 47.dat \
	48.dat 49.dat 50.dat 51.dat 52.dat 53.dat 54.dat 55.dat 56.dat \
	57.dat 58.dat 59.dat 60.dat 61.dat 62.dat 63.dat 64.dat 65.dat \
	66.dat 67.dat 68.dat 69.dat 70.dat 71.dat 72.dat 73.dat 74.dat \
	75.dat 76.dat 77.dat 78.dat 79.dat 80.dat 81.dat 82.dat 83.dat \
	84.dat 85.dat 86.dat 87.dat 88.dat 89.dat 90.dat 91.dat 92.dat

$(HEADERS):
	$(SHELL) $(IFF_CONFIG)



Config.mak: $(OBJECTS)
	@echo '#==  Ifeffit build configuration:'     > $@
	@echo '#    LIB_IFF = ifeffit library  '     >> $@
	@echo '#    LIB_PLT = PGPLOT  libraries'     >> $@
	@echo '#    LIB_F77 = Fortran libraries'     >> $@
	@echo '#    LIB_X11 = X Libaries'            >> $@
	@echo '#    INC_IFF = location of ifeffit.h' >> $@
	@echo 'LIB_IFF  = -L$(prefix)/lib -lifeffit' >> $@
	@echo 'LIB_PLT  = $(PGPLOT_LIBS)'            >> $@
	@echo 'LIB_F77  = $(MN_FLIBS) '              >> $@
	@echo 'INC_IFF  = -I$(pkgdatadir)/config'    >> $@
	@echo '#==  ' >> $@
	@echo 'made $@'

## BR Mar 28 2002: I want to make a few comments on some cryptic crap
## I added to this target.  The combination of explicitly setting
## LDDLFLAGS and adding perl's $Config{ldflags} to the value of LIBS
## is intended to move /usr/local/lib to a position after
## ../../src/lib in the command line argument to the linker.  In this
## way the newly compiled libifeffit will be used in place of one that
## exists in the location of $Config{ldflags}.  By default LDDLFLAGS
## will be set to $Config{lddlflags} which is "-shared " concatinated
## with $Config{ldflags}.  The complicated join/sort/split thing is
## intended to offer a clumsy but servicable to solution to a mistake
## made by autoconf on many linux systems.  Doing the join/sort/split
## thing will assure that the -l***'s will be placed after the -L***'s
## on the command line and the -lm will be placed after either -lg2c
## or -lf2c.  Note that the join/sort/split could be fragile.
Makefile.PL: Config.mak
	@echo '#  -*-perl-*-' > $@
	@echo '#  Perl Makefile.PL auto-generated during Ifeffit build' >> $@
	@echo '#  This file may need some modifications, but should give' >> $@
	@echo '#  a good guess for how to build the Ifeffit extension.' >> $@
	@echo '#  ' >> $@
	@echo "use lib '.';" >> $@
	@echo "use ExtUtils::MakeMaker;" >> $@
	@echo "use Config;" >> $@
	@echo "WriteMakefile('NAME'   => 'Ifeffit'," >> $@
	@echo "              'SKIP'   => ['test_dynamic'],"  >> $@
	@echo "              'OBJECT' => 'ifeffit_wrap.o',"  >> $@
	@echo "              'INSTALLBIN'    => '$(bindir)',">> $@
	@echo "              'INSTALLSCRIPT' => '$(bindir)',">> $@
	@echo "              'LDDLFLAGS'     => '$(LDDLFLAGS_P5)',"  >> $@

=== wrappers/C/Makefile ===
#
# target program that links to so
EXE     = if_test
OBJ     = if_test.o 
LIBS    = -L/usr/local/lib -lifeffit -L/usr/local/pgplot -lpgplot -L/usr/X11/lib -lX11 -lg2c -lm
CC      = gcc -O2
CLIBS   = -lc -lm
INCS    = -I/usr/local/include

$(EXE): $(OBJ) 
	$(CC)  -o $(EXE) $(OBJ) $(INCS) $(LIBS) $(CLIBS) 


.PHONY: clean
clean :
	rm $(OBJ) $(EXE)

=== wrappers/perl/Makefile ===
# This Makefile is for the Ifeffit extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.30 (Revision: Revision: 4535 ) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#
#   MakeMaker Parameters:

#     INC => q[-I../../src/lib -I/usr/local/share/ifeffit/config]
#     INSTALLBIN => q[/usr/local/bin]
#     INSTALLSCRIPT => q[/usr/local/bin]
#     LDDLFLAGS => q[-shared]
#     LIBS => [q[-L../../src/lib  -lifeffit -L/usr/local/share/ifeffit/pgplot -lpgplot_iff -lpng -lz -lX11 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-redhat-linux/4.1.1 -L/usr/lib/gcc/x86_64-redhat-linux/4.1.1/../../../../lib64 -lgcc_s -lgfortran -lgfortranbegin -lm]]
#     NAME => q[Ifeffit]
#     OBJECT => q[ifeffit_wrap.o]
#     SKIP => [q[test_dynamic]]

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = gcc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -Wl,-E -Wl,-rpath,/usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/CORE
DLEXT = so
DLSRC = dl_dlopen.xs
LD = gcc
LDDLFLAGS = -shared
LDFLAGS = 
LIBC = 
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.6.9-34.elsmp
RANLIB = :
SITELIBEXP = /usr/lib/perl5/site_perl/5.8.8
SITEARCHEXP = /usr/lib64/perl5/site_perl/5.8.8/x86_64-linux-thread-multi
SO = so
EXE_EXT = 
FULL_AR = /usr/bin/ar
VENDORARCHEXP = /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi
VENDORLIBEXP = /usr/lib/perl5/vendor_perl/5.8.8


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = Ifeffit
NAME_SYM = Ifeffit
VERSION = 
VERSION_MACRO = VERSION
VERSION_SYM = 
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1
MAN3EXT = 3pm
INSTALLDIRS = site
DESTDIR = 
PREFIX = $(SITEPREFIX)
PERLPREFIX = /usr
SITEPREFIX = /usr
VENDORPREFIX = /usr
INSTALLPRIVLIB = /usr/lib/perl5/5.8.8
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /usr/lib/perl5/site_perl/5.8.8
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = /usr/lib/perl5/vendor_perl/5.8.8
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /usr/lib64/perl5/site_perl/5.8.8/x86_64-linux-thread-multi
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = /usr/local/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = /usr/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = /usr/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = /usr/local/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLMAN1DIR = /usr/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = /usr/share/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = /usr/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = /usr/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = /usr/share/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = /usr/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /usr/lib/perl5/5.8.8
PERL_ARCHLIB = /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /usr/lib/perl5/5.8.8/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.30
MM_REVISION = Revision: 4535 

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = Ifeffit
BASEEXT = Ifeffit
PARENT_NAME = 
DLBASE = $(BASEEXT)
VERSION_FROM = 
INC = -I../../src/lib -I/usr/local/share/ifeffit/config
OBJECT = ifeffit_wrap$(OBJ_EXT)
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = 
C_FILES  = ifeffit_wrap.c
O_FILES  = ifeffit_wrap.o
H_FILES  = ifeffit.h
MAN1PODS = 
MAN3PODS = Ifeffit.pm \
	ifeffit_shell.pl

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DFSEP)Config.pm $(PERL_INC)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = $(INST_ARCHAUTODIR)/$(BASEEXT)$(LIB_EXT)
INST_DYNAMIC     = $(INST_ARCHAUTODIR)/$(DLBASE).$(DLEXT)
INST_BOOT        = $(INST_ARCHAUTODIR)/$(BASEEXT).bs

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = Ifeffit.pm \
	ifeffit_shell.pl \
	test_a.pl

PM_TO_BLIB = test_a.pl \
	$(INST_LIB)/test_a.pl \
	ifeffit_shell.pl \
	$(INST_LIB)/ifeffit_shell.pl \
	Ifeffit.pm \
	$(INST_LIB)/Ifeffit.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 1.50
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1)'



# --- MakeMaker tool_xsubpp section:

XSUBPPDIR = /usr/lib/perl5/5.8.8/ExtUtils
XSUBPP = $(XSUBPPDIR)$(DFSEP)xsubpp
XSUBPPRUN = $(PERLRUN) $(XSUBPP)
XSPROTOARG = 
XSUBPPDEPS = /usr/lib/perl5/5.8.8/ExtUtils/typemap $(XSUBPP)
XSUBPPARGS = -typemap /usr/lib/perl5/5.8.8/ExtUtils/typemap
XSUBPP_EXTRA_ARGS = 


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(SHELL) -c true
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) "-MExtUtils::Command" -e mkpath
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) "-MExtUtils::Command" -e eqtime
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install({@ARGV}, '\''$(VERBINST)'\'', 0, '\''$(UNINST)'\'');'
DOC_INSTALL = $(ABSPERLRUN) "-MExtUtils::Command::MM" -e perllocal_install
UNINSTALL = $(ABSPERLRUN) "-MExtUtils::Command::MM" -e uninstall
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) "-MExtUtils::Command::MM" -e warn_if_old_packlist
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(PERLRUN) "-MExtUtils::MY" -e "MY->fixin(shift)"


# --- MakeMaker makemakerdflt section:
makemakerdflt: all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip --best
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = Ifeffit
DISTVNAME = Ifeffit-


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:

CCFLAGS = -D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -pipe -Wdeclaration-after-statement -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gdbm
OPTIMIZE = -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
PERLTYPE = 
MPOLLUTE = 


# --- MakeMaker const_loadlibs section:

# Ifeffit might depend on some other libraries:
# See ExtUtils::Liblist for details
#
EXTRALIBS = -L/home/newville/Codes/ifeffit/work/wrappers/perl/../../src/lib -lifeffit -L/usr/local/share/ifeffit/pgplot -lpgplot_iff -lpng -lz -lX11 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-redhat-linux/4.1.1 -L/usr/lib/gcc/x86_64-redhat-linux/4.1.1/../../../../lib64 -lgcc_s -lgfortran -lgfortranbegin
LDLOADLIBS = -L/home/newville/Codes/ifeffit/work/wrappers/perl/../../src/lib -lifeffit -L/usr/local/share/ifeffit/pgplot -lpgplot_iff -lpng -lz -lX11 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-redhat-linux/4.1.1 -L/usr/lib/gcc/x86_64-redhat-linux/4.1.1/../../../../lib64 -lgcc_s -lgfortran -lgfortranbegin -lm
BSLOADLIBS = 
LD_RUN_PATH = /usr/lib64:/lib/../lib64:/usr/lib/../lib64


# --- MakeMaker const_cccmd section:
CCCMD = $(CC) -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION)

# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	OPTIMIZE="$(OPTIMIZE)"\
	PREFIX="$(PREFIX)"\
	PASTHRU_INC="$(PASTHRU_INC)"


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir



# --- MakeMaker c_o section:

.c.i:
	gcc -E -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c > $*.i

.c.s:
	$(CCCMD) -S $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.c$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.C$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.C

.cpp$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cpp

.cxx$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cxx

.cc$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cc


# --- MakeMaker xs_c section:

.xs.c:
	$(XSUBPPRUN) $(XSPROTOARG) $(XSUBPPARGS) $(XSUBPP_EXTRA_ARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c


# --- MakeMaker xs_o section:

.xs$(OBJ_EXT):
	$(XSUBPPRUN) $(XSPROTOARG) $(XSUBPPARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) blibdirs
	$(NOECHO) $(NOOP)

$(O_FILES): $(H_FILES)

help :
	perldoc ExtUtils::MakeMaker


# --- MakeMaker blibdirs section:
blibdirs : $(INST_LIBDIR)$(DFSEP).exists $(INST_ARCHLIB)$(DFSEP).exists $(INST_AUTODIR)$(DFSEP).exists $(INST_ARCHAUTODIR)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists $(INST_SCRIPT)$(DFSEP).exists $(INST_MAN1DIR)$(DFSEP).exists $(INST_MAN3DIR)$(DFSEP).exists
	$(NOECHO) $(NOOP)

# Backwards compat with 6.18 through 6.25
blibdirs.ts : blibdirs
	$(NOECHO) $(NOOP)

$(INST_LIBDIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(CHMOD) 755 $(INST_LIBDIR)
	$(NOECHO) $(TOUCH) $(INST_LIBDIR)$(DFSEP).exists

$(INST_ARCHLIB)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHLIB)

=== wrappers/tcl/Makefile ===
#  
#  Tcl Setup.in auto-generated during Ifeffit build
#  This file may need some modifications, but should give
#  a good guess for how to build the Ifeffit extension.
#  
#==  Ifeffit build configuration:
#    LIB_IFF = ifeffit library  
#    LIB_PLT = PGPLOT  libraries
#    LIB_F77 = Fortran libraries
#    LIB_X11 = X Libaries
#    INC_IFF = location of ifeffit.h
LIB_IFF  = -L/usr/local/lib -lifeffit 
LIB_PLT  = -L/usr/local/pgplot -lpgplot -L/usr/X11R6/lib -lX11 
LIB_F77  = -lg2c -lm -L/usr/lib/gcc-lib/i386-redhat-linux/2.96 -L/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../.. -lm 
INC_IFF  = -I/usr/local/include 
#==  
LIB_IFF  = -L../../src/lib -lifeffit 
INC_IFF  = -I../../src/lib 
CC       = gcc
CFLAGS   = -g -O2
LDFLAGS  = 
#
# Makefile for the Ifeffit extension to tcl
# location of Tcl/Tk libraries
LIB_TK    = -L/usr/lib -ltcl -ltk
# location of tcl
TCL       = tcl

#
# how to compile C code to an object file for dynamic loading
SHARE_FLAG = -fpic
COMPILE   = $(CC) $(SHARE_FLAG) $(CFLAGS) -c -I../../src/lib
LD        = $(CC) -shared 

LIBS      =  $(LIB_IFF) $(LIB_PLT) $(LIB_F77) $(LIB_TK) $(LIB_X11)
default:  ifeffit_tcl.so

.PHONY:  clean

ifeffit_tcl.so: ifeffit_wrap.o
	$(LD) ifeffit_wrap.o $(LIBS) -o ifeffit_tcl.so

ifeffit_wrap.o: ifeffit_wrap.c
	$(COMPILE) ifeffit_wrap.c -o ifeffit_wrap.o

test: ifeffit_tcl.so
	$(TCL) test.tcl

clean:
	rm ifeffit_wrap.o ifeffit_tcl.so

=== examples/scripting/f/Makefile ===
##
## Fortran Makefile
##
## 1: replace with the contents of Config.mak from
##    /usr/local/share/ifeffit/config

#==  Ifeffit build configuration:
#    LIB_IFF = ifeffit library  
#    LIB_PLT = PGPLOT  libraries
#    LIB_F77 = Fortran libraries
#    LIB_X11 = X Libaries
#    INC_IFF = location of ifeffit.h
LIB_IFF  = -L/usr/local/lib -lifeffit 
LIB_PLT  = -L/usr/local/pgplot -lpgplot 
LIB_F77  = -lg2c -lm -L/usr/lib/gcc-lib/i386-redhat-linux/2.96 -L/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../.. -lm 
LIB_X11  = -L/usr/X11R6/lib -lX11
INC_IFF  = -I/usr/local/include 
#==  


F77       = f77 -O1
LOAD      = $(F77)

TARGET = f1
SRC    = f1.f
OBJ    = f1.o

default: $(TARGET)


.f.o:
	$(F77) -c $*.f

ALL_LIBS = $(LIB_IFF) $(LIB_PLT) $(LIB_X11) $(LIB_F77) 

$(TARGET): $(OBJ)
	$(LOAD) $(OBJ) -o $(TARGET) $(ALL_LIBS)

clean :
	rm -f $(OBJ) $(TARGET)

=== debian/changelog ===
ifeffit (2:1.2.11d-10.2build2) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 16:33:53 -0400

ifeffit (2:1.2.11d-10.2build1) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 19:55:58 +0000

ifeffit (2:1.2.11d-10.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ gregor herrmann ]
  * Fix "FTBFS with perl 5.26": add unescaped-left-brace.patch to escape
    literal opening curly braces.  (Closes: #869436)

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 24 Jul 2017 14:06:47 +0200

ifeffit (2:1.2.11d-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Sourceful upload for transitions (Closes: #808307).

 -- Stuart Prescott <stuart@debian.org>  Sun, 06 Nov 2016 22:37:37 +1100

ifeffit (2:1.2.11d-10) unstable; urgency=medium

  * Rebuild for latest Perl version
  * Replace CPPFunction by rl_completion_func_t in src/cmdline/iffshell.c
    for readline 6.3 compatibility (Closes: #749353)
  * Set Compatibility level to 9
  * Update to Standards-Version 3.9.6 (no changes)

 -- Carlo Segre <segre@debian.org>  Sat, 10 Jan 2015 18:30:17 -0600

ifeffit (2:1.2.11d-9) unstable; urgency=low

  * Change Build-Depends to libpng-dev instead of libpng12-dev
    (Closes: #662376)
  * Update to Standards-Version 3.9.3 (no changes)

 -- Carlo Segre <segre@debian.org>  Wed, 04 Jul 2012 15:09:00 -0500

ifeffit (2:1.2.11d-8) unstable; urgency=low

  * [Colin Watson <cjwatson@ubuntu.com>]
      Link against -lreadline, not /usr/lib/libreadline.a (Closes: #648839)
  * Change gs-common Build-Dep to ghostcript
  * Build for Perl 5.14

 -- Carlo Segre <segre@debian.org>  Fri, 30 Dec 2011 14:23:35 -0600

ifeffit (2:1.2.11d-7) unstable; urgency=low

  * Rebuild for Perl 5.12 (Closes: #626584, #627748)
  * Transition to dh_python2 (Closes: #616846)
  * Upgrade to Standards-Version 3.9.2 (no changes)
  * Set Compatibility level to 8

 -- Carlo Segre <segre@debian.org>  Sun, 19 Jun 2011 09:58:20 -0500

ifeffit (2:1.2.11d-6) unstable; urgency=low

  * Clean up build rules to minimize the size of diff.gz
  * Switch to dpkg-source 3.0 (quilt) format
  * Rename perl wrapper package to libifeffit-perl (Closes: #575933)

 -- Carlo Segre <segre@debian.org>  Wed, 07 Apr 2010 07:11:10 -0500

ifeffit (2:1.2.11d-5) unstable; urgency=low

  * Incorporate Ubuntu patch for --install-layout=deb in debian/rules

 -- Carlo Segre <segre@debian.org>  Sun, 21 Mar 2010 22:45:03 -0500

ifeffit (2:1.2.11d-4) unstable; urgency=low

  * Remove the \newif\ifpdf definitions in the documentation tree and
    replace with \usepackage{ifpdf} (Closes: #573161)
  * Upgrade to Standards-Version 3.8.4 (no changes)

 -- Carlo Segre <segre@debian.org>  Sun, 21 Mar 2010 12:09:45 -0500

ifeffit (2:1.2.11d-3) unstable; urgency=low

  * Update Standards-Version to 3.8.3 (no changes)
  * Remove libreadline5-dev Build-Dep (Closes: #553785)
  * Clean up all lintian errors:
    - insert Education top category in python-ifeffit.desktop
    - remove dh_desktop invocation in debian/rules
    - add ${misc:Depends} in all binary packages

 -- Carlo Segre <segre@debian.org>  Sun, 01 Nov 2009 20:49:05 -0600

ifeffit (2:1.2.11d-2) unstable; urgency=low

  * Modified src/lib/iff_show.f to solve crashing when certain strings
    are too long.

 -- Carlo Segre <segre@debian.org>  Thu, 05 Mar 2009 01:09:11 -0600

ifeffit (2:1.2.11d-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Wed, 04 Feb 2009 23:06:50 -0600

ifeffit (2:1.2.11c-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Mon, 17 Nov 2008 13:37:57 -0600

ifeffit (2:1.2.11b-1) unstable; urgency=low

  * New upstream release
  * Update to Standards-Version 3.8.0 (no changes)

 -- Carlo Segre <segre@debian.org>  Wed, 12 Nov 2008 09:23:20 -0600

ifeffit (2:1.2.10a-5) unstable; urgency=low

  * Rebuild for Perl 5.10 (no changes)

 -- Carlo Segre <segre@debian.org>  Sun, 04 May 2008 14:09:45 -0500

ifeffit (2:1.2.10a-4) unstable; urgency=low

  * Add Build-Dep on texlive-latex-base.
  * Build for python 2.5.

 -- Carlo Segre <segre@debian.org>  Wed, 16 Apr 2008 00:49:23 -0500

ifeffit (2:1.2.10a-3) unstable; urgency=low

  * Recompile to remove runtime error in fortran libraries (symbol lookup error)
  * Put python-ifeffit in Section contrib/python
  * Put perl-ifeffit in Section contrib/perl
  * Upgrade to Standards-Version 3.7.3 (no changes)

 -- Carlo Segre <segre@debian.org>  Sat, 29 Mar 2008 20:50:05 -0500

ifeffit (2:1.2.10a-2) unstable; urgency=low

  * Remove explicit dependence on libc6 which is covered by 
    build-essential.

 -- Carlo Segre <segre@debian.org>  Sun, 23 Sep 2007 23:46:29 -0500

ifeffit (2:1.2.10a-1) unstable; urgency=low

  * New upstream release
  * Insert Homepage: field in debian/control
  * Change to gfortran
  * Versioned Depends: on pgplot5 compiled with -lpng
  * Remove 'readline' source from tarball
  * Bump epoch to 2 because of erroneous release of 1.3.0

 -- Carlo Segre <segre@debian.org>  Thu, 20 Sep 2007 12:03:23 -0500

ifeffit (1:1.3.0-4) unstable; urgency=low

  * Added ifeffit dependency to perl-ifeffit (stupid oversight!)

 -- Carlo Segre <segre@debian.org>  Tue,  2 Jan 2007 00:29:32 -0600

ifeffit (1:1.3.0-3) unstable; urgency=low

  * Added Tag: field for Enrico Zini's testing
  * Modified descriptions for perl-ifeffit and python-ifeffit and
    corrected typo in initial paragraph (Closes: #382613)

 -- Carlo Segre <segre@debian.org>  Sat,  9 Sep 2006 00:43:57 -0500

ifeffit (1:1.3.0-2) unstable; urgency=low

  * Build-Dep on libc-dev for compatibility with all architectures
    (Closes: #386470)

 -- Carlo Segre <segre@debian.org>  Thu,  7 Sep 2006 22:05:31 -0500

ifeffit (1:1.3.0-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Wed,  6 Sep 2006 07:24:28 -0500



=== debian/control ===
Source: ifeffit
Section: contrib/science
Priority: optional
Maintainer: Carlo Segre <segre@debian.org>
Build-Depends: debhelper (>= 9), binutils, gfortran, ghostscript,
 libreadline-dev, libncurses5-dev, libpng-dev, libx11-dev,
 pgplot5 (>= 5.2.2-11), latex2html, texlive-base, texlive-latex-base, 
 python-all-dev (>= 2.6.6-3~), chrpath
X-Python-Version: >= 2.5
XS-Autobuild: yes
Homepage: http://cars9.uchicago.edu/ifeffit/
Standards-Version: 3.9.6

Package: ifeffit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ifeffit-doc
Description:  Interactive XAFS analysis program
 IFEFFIT is an interactive program for XAFS analysis. It combines the
 high-quality analysis algorithms of AUTOBK and FEFFIT with graphical display
 of XAFS data and general data manipulation.
 .
 IFEFFIT comes as a command-line program, but the underlying functionality is
 available as a programming library. The IFEFFIT library can be used from C,
 Fortran, Tcl, Perl, and Python. This allows a variety of user interfaces
 (both graphical and non-graphical) to be written around IFEFFIT. Currently,
 three graphical user interfaces: G.I.FEFFIT, ATHENA/ARTEMIS, and SIXPACK
 are built on the underlying IFEFFIT library. IFEFFIT and all three GUIs are 
 under active development, but are fairly well tested and ready for use. 

Package: ifeffit-doc
Architecture: all
Section: contrib/doc
Depends: ${misc:Depends}
Suggests: ifeffit
Description: IFEFFIT examples and documentation
 This package contains all the available documentation for IFEFFIT and 
 its component programs.  Example files for EXAFS data analysis are also 
 provided as tutorials.

Package: python-ifeffit
Architecture: any
Section: contrib/python
Depends: ${shlibs:Depends}, ${python:Depends}, python-pmw, python-tk, ifeffit,
         ${misc:Depends}
Conflicts: python2.3-ifeffit (<< 1.2.9)
Replaces: python2.3-ifeffit (<< 1.2.9)
Provides: ${python:Provides}
Description: Python GUI interface and extensions for IFEFFIT
 .
 This package provides the Python extensions and the G.I.FEFFIT (gifeffit)
 front end for IFEFFIT.

Package: libifeffit-perl
Architecture: any
Section: contrib/perl
Provides: perl-ifeffit
Replaces: perl-ifeffit
Conflicts: perl-ifeffit
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: Perl extensions for IFEFFIT
 .
 This package provides an interface to IFEFFIT from Perl.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This will fix the rpath lintian warning but breaks the python extensions.
# For now, we have kludged a solution in the build-perl stanza below.
#export FLIBS = -lfrtbegin -lg2c -lm -lgcc_s 

# change this when default Python version increases
PYVERS=$(shell pyversions -vr)

ifndef PERL
PERL = /usr/bin/perl
endif

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# May not need these with compatibility level 9
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# No longer needed
# CFLAGS += -Wall -g 

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
#	export DEB_CFLAGS_MAINT_APPEND = -O0
	CFLAGS += -O0
else
#	export DEB_CFLAGS_MAINT_APPEND = -O2
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# ---------- Begin maintainer-only rules ----------

# This rule is used by the package maintainer to refresh the 
# documentation which is not included in the original tarball
# but is freely available on the program homepage.  It requires 
# wget to be installed and only needs to be run occasionally. 
get-docs:
	rm -f debian/*.ps
	cd debian && \
	 wget http://cars9.uchicago.edu/~newville/feffit/feffit.ps && \
	 wget http://cars9.uchicago.edu/~newville/autobk/ProgramDoc/autobk.ps && \
	 wget http://cars9.uchicago.edu/dafs/diffkk/diffkk.ps && \
	 wget http://leonardo.phys.washington.edu/feff/Docs/feff/feff6.ps

# ----------- End maintainer-only rules -----------

config.status: configure
	dh_testdir
# Begin by saving some configuration files which may be outdated
	cp -a config.guess config.guess.save
	cp -a config.sub config.sub.save
# Copy newer versions of these configuration scripts over if they exist
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure --host=$(DEB_HOST_GNU_TYPE) \
	 --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
	 --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	 --with-pgplot-link="-lpgplot" 

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status build-ifeffit build-all-pythons build-perl
	touch $@

build-ifeffit:
	dh_testdir
	$(MAKE)
#	$(MAKE) OPTIMIZE="$(CFLAGS)"
	touch $@

build-all-pythons: $(PYVERS:%=build-python%)
# This is to force building of the gifeffit script without an explicit 
# python version in the #! line.
	cd wrappers/python && \
	 python setup.py build_scripts --build-dir=build/scripts || exit 1 ; 
	touch $@

# Build Python extensions for each version of Python
build-python%:
	dh_testdir
	cd wrappers/python && python$* setup.py build || exit 1 ; 
	touch $@

# Configure and build Perl extensions.  This must be done
# AFTER the main package is built
build-perl: build-ifeffit
	dh_testdir
# Here is the kludge to avoid the rpath lintian warning
#	cp debian/Makefile.PL wrappers/perl/
	cd wrappers/perl && \
	 $(PERL) Makefile.PL INSTALLDIRS=vendor && \
	 $(MAKE)
#	 dpkg-buildflags && \
#	 $(MAKE) OPTIMIZE="$(CFLAGS)"
	touch $@

build-docs:
	dh_testdir
	mkdir tmp_docs
	cp -a examples tmp_docs
	-find tmp_docs/examples -name 'CVS' | xargs rm -rf
	chmod -R 0644 tmp_docs/examples/*
	rm -rf tmp_docs/examples/scripting
# Generate PDF documentation from postscript files.  Note that the 
# postcript documentation needs to be refreshed occasionally using the 
# 'get-docs' rule.  This avoids the need for the buildds to download them
# at build time and risk failing if they are not available.
	mkdir tmp_docs/pdf
	ps2pdf debian/feffit.ps tmp_docs/pdf/feffit.pdf ; \
	ps2pdf debian/autobk.ps tmp_docs/pdf/autobk.pdf ; \
	ps2pdf debian/diffkk.ps tmp_docs/pdf/diffkk.pdf ; \
	ps2pdf debian/feff6.ps tmp_docs/pdf/feff6.pdf ; \
	cd doc/Tutorial && make pdf && \
	 mv tutor.pdf ../../tmp_docs/pdf/ifeffit_tutorial.pdf
	cd doc/RefMan && make pdf && \
	 mv refman.pdf ../../tmp_docs/pdf/ifeffit_reference.pdf
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp build-ifeffit build-all-pythons build-python* build-perl build-docs

	[ ! -f Makefile ] || $(MAKE) distclean

# Clean up any config leftovers in original tarball which have been
# regenerated during build so they don't appear in the diff.gz
	rm -f wrappers/perl/Makefile.PL
	rm -f wrappers/perl/Makefile
	rm -f wrappers/perl/pm_to_blib
	rm -f wrappers/python/site_install.py
	rm -f wrappers/tcl/TclSetup.in
	rm -f readline/config.log
	rm -f readline/config.status
	rm -f readline/stamp-h
	rm -f readline/config.h
	rm -f readline/Makefile
	rm -f readline/doc/Makefile
	rm -f readline/shlib/Makefile
	rm -f readline/examples/Makefile
	rm -f configure.in.save
# Restore saved configuration files if they exist to minimize diffs
ifneq "$(wildcard config.sub.save)" ""
	mv config.sub.save config.sub
endif
ifneq "$(wildcard config.guess.save)" ""
	mv config.guess.save config.guess
endif

# Clean up PDF downloaded documents
	rm -rf tmp_docs
	cd doc/Tutorial && make clean && rm -f *.bak
	cd doc/RefMan && make clean && rm -f *.bak

# Clean up Python extensions
	rm -rf wrappers/python/*.pyc
	rm -rf wrappers/python/build
	rm -rf build

# Clean up Perl extensions
	rm -rf wrappers/perl/blib
	rm -rf wrappers/perl/pm-to-blib
	rm -rf wrappers/perl/*.o
	rm -rf wrappers/perl/*.bs
	rm -rf wrappers/perl/Makefile

	dh_clean

install: build install-prereq install-ifeffit install-all-pythons install-perl

install-prereq:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

install-ifeffit:
	$(MAKE) install prefix=$(CURDIR)/debian/ifeffit/usr

install-all-pythons: $(PYVERS:%=install-python%)
# This is to force installation of the gifeffit script without a specific
# version of python explicitly names in the #! line (Debian idiosyncracy)
# It actually overwrites the scripts installed by each of the install-python% 
# rules below...
	cd wrappers/python && \
         python setup.py install_scripts --force \
	  --install-dir=$(CURDIR)/debian/python-ifeffit/usr/bin \
	  --build-dir=build/scripts || exit 1 ;
	dh_install --package=python-ifeffit debian/python-ifeffit.desktop \
	 usr/share/applications/

install-python%:
	cd wrappers/python && \
	 python$* setup.py install --install-layout=deb \
	  --prefix=$(CURDIR)/debian/python-ifeffit/usr || exit 1 ;
	-find $(CURDIR)/debian/ -name '*.py[co]' | xargs rm -f

# Install Perl extensions into debian/libifeffit-perl.
install-perl:
# Strip RPATH from Ifeffit.so before installing
	chrpath -d wrappers/perl/blib/arch/auto/Ifeffit/Ifeffit.so
# old syntax, should be replaced as below...
#	cd wrappers/perl && $(MAKE) install \
#	 PREFIX=$(CURDIR)/debian/libifeffit-perl/usr INSTALLDIRS=vendor
	cd wrappers/perl && $(MAKE) install \
	 DESTDIR=$(CURDIR)/debian/libifeffit-perl/ INSTALLDIRS=vendor
# The Makefile in wrappers/perl seems to be malformed and does not 
# install Ifeffit.pm in /usr/share/perl5.  We shall do it by hand ...
	dh_install --package=libifeffit-perl wrappers/perl/Ifeffit.pm \
	 usr/share/perl5/
# In fact, sometimes it puts them in /usr/lib/perl5 along with
# ifeffit_shell.pl and test_a.pl which we don't want for the pacakge.
# So get rid of 'em!
	rm -f $(CURDIR)/debian/libifeffit-perl/usr/lib/perl5/Ifeffit.pm
	rm -f $(CURDIR)/debian/libifeffit-perl/usr/lib/perl5/ifeffit_shell.pl
	rm -f $(CURDIR)/debian/libifeffit-perl/usr/lib/perl5/test_a.pl

install-docs: install-prereq

# Build architecture-independent files here.
binary-indep: build-docs install-docs
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs ChangeLog -i

=== debian/watch ===
version=2
http://cars9.uchicago.edu/~ifeffit/src/ifeffit-(.*)\.tar\.gz	debian
